# $Revision: 1.95.2.3 $, $Date: 2008-03-25 23:18:36 $
# TODO:
# - trigger for upgrade from old cvs - after that package stays without any
#   users and nserver-common is not installed...
# - cvschkpw causes sig11 when run without CVSSERVER variable set.
Summary:	Concurrent Versions System - nserver
Summary(de.UTF-8):	Concurrent-Versioning-System - nserver
Summary(fr.UTF-8):	Un système pour maintenir à jour des fichiers - nserver
Summary(pl.UTF-8):	Concurrent Versions System - nserver
Summary(tr.UTF-8):	Sürüm denetim sistemi - nserver
Name:		cvs-nserver
Version:	1.11.1.52
Release:	23
License:	GPL
Group:		Development/Version Control
Source0:	http://dl.sourceforge.net/cvs-nserver/%{name}-%{version}.tar.gz
# Source0-md5:	357fb5f37cc556977dad79175e9c2d97
Source1:	%{name}.inetd
Source2:	cvs-pserver.inetd
Patch0:		%{name}-cvspasswd.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-am_ac.patch
Patch3:		%{name}-cvspass.patch
Patch4:		%{name}-home_etc.patch
Patch5:		%{name}-ssl-link.patch
Patch6:		%{name}-fix_doc_CVSUSER.patch
Patch7:		%{name}-segv.patch
Patch8:		%{name}-initgroups-rootonly.patch
Patch9:		%{name}-zlibfix.patch
Patch10:	%{name}-home_etc2.patch
Patch11:	%{name}-posix.patch
Patch12:	%{name}-CAN-2002-0844.patch
Patch13:	%{name}-CAN-2003-0015.patch
Patch14:	%{name}-CAN-2003-0977-and-CAN-2004-0180.patch
Patch15:	%{name}-CAN-2004-0396.patch
Patch16:	%{name}-CAN-2004-0414.patch
Patch17:	%{name}-CAN-2004-0416-0417-0418.patch
Patch18:	%{name}-dblshutdown.patch
Patch19:	%{name}-cvspasswd-mode.patch
URL:		http://cvs-nserver.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cvsroot	/var/lib/cvs

%description
CVS is a version control system, which allows you to keep old versions
of files (usually source code), keep a log of who, when, and why
changes occurred, etc., like RCS or SCCS. Unlike the simpler systems,
CVS does not just operate on one file at a time or one directory at a
time, but operates on hierarchical collections of directories
consisting of version controlled files. CVS helps to manage releases
and to control the concurrent editing of source files among multiple
authors. CVS allows triggers to enable/log/control various operations
and works well over a wide area network.

%description -l de.UTF-8
CVS ist ein Frontend für das RCS(1)-Revisionskontrollsystem, das den
Begriff der Revisionskontrolle von einer Sammlung von Dateien in einem
einzelnen Verzeichnis auf eine ganze Hierarchie ausweitet, bestehend
aus revisionskontrollierten Dateien. Diese Verzeichnisse und Dateien
lassen sich zu einer Software-Release kombinieren. CVS bietet die
Funktionen, die zur Verwaltung von Software-Releases und zur
Überwachung der gleichzeitigen Bearbeitung von Quelldateien durch
mehrere Software- Entwickler notwendig sind.

%description -l fr.UTF-8
"CVS" signifie "Concurrent Version System". C'est un système de
comparaison de versions de fichiers, qui peut garder une trace des
changements apportés à des fichiers (le plus souvent, les fichiers des
sources d'un programme). CVS conserve seulement les différences, et
non l'intégralité d'un fichier récent et d'un fichier plus ancien. A
chaque modification d'un fichier, CVS garde (entre autres) le nom de
la personne ayant fait la modification, la raison justifiant cette
modification, et la date à laquelle celle-ci a eu lieu. CVS est très
utile pour gérer la mise en commun des modifications apportées par
plusieurs personnes travaillant en parallèle sur les mêmes fichiers.
Au lieu de garder plusieurs versions des fichiers dans un seul
répertoire, CVS crée une série de répertoires, chacun contenant une
nouvelle version des fichiers. Ces répertoires et ces fichiers peuvent
ensuite être regroupés pour former la version la plus à jour du
logiciel. Installez ce package si vous avez besoin d'utiliser un
système de contrôle de version.

%description -l pl.UTF-8
CVS jest nakładką na rcs (Revision Control System, czyli w wolnym
tłumaczeniu system kontroli wersji zasobów), który rozszerza
możliwości rcs'a z narzędzia do kontroli zbioru plików w pojedynczym
katalogu o możliwość kontroli zbioru hierarchicznie ułożonych
katalogów z plikami. Z pomocą CVS w łatwy sposób można zarządzać kodem
źródłowym opracowywanym przez nawet bardzo duże zespoły programistów
umożliwiając śledzenie i kontrolę wszystkich zmian w trakcie pracy nad
projektami i wypuszczaniem pełnych wersji oprogramowania (release).

%description -l tr.UTF-8
CVS (Concurrent Versioning System), tek bir dizindeki dosya
topluluğunun sürüm denetimini, denetimi yapılmış dizinlerin hiyerarşik
topluluğuna genişleten rcs(1) sürüm denetim sisteminin ön yüzüdür. Bu
dizin ve dosyalar, bir yazılım yayını oluşturma amacıyla biraraya
getirilebilir. CVS, bu yazılım yayınlarının yönetilmesini ve kaynak
dosyaları bakımının birden çok yazılım geliştiricisi tarafından
eşzamanlı olarak yapılmasını kontrol etmek için gereken işlevleri
sağlar.

%package client
Summary:	Concurrent Versions System - client
Summary(pl.UTF-8):	Concurrent Versions System - klient
Group:		Development/Version Control
Provides:	cvs-client = %{version}
Obsoletes:	cvs-client
Obsoletes:	cvs-npclient
Conflicts:	cvs

%description client
CVS client.

%description client -l pl.UTF-8
Klient CVS.

%package common
Summary:	Concurrent Versions System - common files
Summary(pl.UTF-8):	Concurrent Versions System - wspólne pliki
Group:		Development/Version Control
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	cvs-nserver-client
Requires(pre):	fileutils
Requires:	%{name}-client = %{version}-%{release}
Provides:	group(cvs)
Provides:	group(cvsadmin)
Provides:	user(cvs)
Provides:	user(cvsadmin)
Obsoletes:	cvs-nserver

%description common
CVS - common server files.

%description common -l pl.UTF-8
Wspólne pliki serwerów CVS.

%package pserver
Summary:	Concurrent Versions System - pserver
Summary(pl.UTF-8):	Concurrent Versions System - pserver
Group:		Development/Version Control
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-inetd
Obsoletes:	cvs-npserver
Obsoletes:	cvs-pserver

%description pserver
CVS server - pserver files.

%description pserver -l pl.UTF-8
Serwer CVS - pliki pservera.

%package nserver
Summary:	Concurrent Versions System - nserver
Summary(pl.UTF-8):	Concurrent Versions System - nserver
Group:		Development/Version Control
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-inetd
Obsoletes:	cvs-nserver

%description nserver
CVS server - nserver files.

%description nserver -l pl.UTF-8
Serwer CVS - pliki nservera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-encryption \
	--enable-client \
	--enable-server \
	--enable-setuid \
	--with-openssl \
	--without-gssapi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,%{_cvsroot},/var/lock/cvs}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cvs-nserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/cvs-pserver

cat << EOF >$RPM_BUILD_ROOT%{_bindir}/cvs-pserver-script
#!/bin/sh
REPOSITORY="%{_cvsroot}"
if [ -f /etc/sysconfig/cvs ]; then
	. /etc/sysconfig/cvs
fi

CVSPASSWD=%{_bindir}/cvspasswd CVSSERVER=pserver \
exec %{_bindir}/cvs-pserver \$REPOSITORY -- \
%{_bindir}/cvschkpw %{_bindir}/cvs pserver
EOF

cat << EOF >$RPM_BUILD_ROOT%{_bindir}/cvs-nserver-script
#!/bin/sh
REPOSITORY="%{_cvsroot}"
if [ -f /etc/sysconfig/cvs ]; then
	. /etc/sysconfig/cvs
fi

CVSPASSWD=%{_bindir}/cvspasswd CVSSERVER=nserver \
exec %{_bindir}/cvs-nserver \$REPOSITORY -- \
%{_bindir}/cvschkpw %{_bindir}/cvs nserver
EOF

cat << EOF >$RPM_BUILD_ROOT/etc/sysconfig/cvs
# In this file you can specify additional repositories (separated with space)
# or just set different location.
# Default is "%{_cvsroot}".
#REPOSITORY="%{_cvsroot}"
# According to FHS 2.3 you can use some subdirectory in /srv, e.g.:
#REPOSITORY="/srv/cvs"
EOF

mv -f	$RPM_BUILD_ROOT%{_datadir}/cvs-nserver/contrib/rcs2log \
	$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post client	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun client	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%pre common
%groupadd -P %{name}-common -g 52 -r cvs
%groupadd -P %{name}-common -g 53 -r cvsadmin
%useradd -P %{name}-common -u 52 -r -d %{_cvsroot} -s /bin/false -c "CVS user" -g cvs cvs
%useradd -P %{name}-common -u 53 -r -d %{_cvsroot} -s /bin/false -c "CVS user" -g cvsadmin -G cvs cvsadmin

if [ "$1" = 1 ]; then
	echo "Initializing repository..."
	%{_bindir}/cvs -d :local:%{_cvsroot} init
	chown -R cvsadmin:cvsadmin %{_cvsroot}/CVSROOT
fi

%postun common
if [ "$1" = "0" ]; then
	%userremove cvs
	%userremove cvsadmin
	%groupremove cvs
	%groupremove cvsadmin
fi

%post pserver
%service -q rc-inetd reload

%postun pserver
%service -q rc-inetd reload

%post nserver
%service -q rc-inetd reload

%postun nserver
%service -q rc-inetd reload

%files client
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FAQ FAQ.nserver NEWS NEWS.nserver PROJECTS
%doc README README.checkpassword TODO
%attr(755,root,root) %{_bindir}/cvs
%attr(755,root,root) %{_bindir}/cvsbug
%{_infodir}/cvs*
%{_mandir}/man[15]/cvs.*
%{_mandir}/man8/cvsbug.8*

%files common
%defattr(644,root,root,755)
%attr(640,root,cvs) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cvs
%attr(4754,cvsadmin,cvs) %{_bindir}/cvspasswd
%attr(755,root,root) %{_bindir}/cvschkpw
%attr(755,root,root) %{_bindir}/rcs2log
%dir %{_datadir}/cvs-nserver
%dir %{_datadir}/cvs-nserver/contrib
%{_datadir}/cvs-nserver/contrib/*
%attr(770,cvsadmin,cvs) %dir %{_cvsroot}
%{_mandir}/man8/cvs-server.8*
%attr(770,cvsadmin,cvs) %dir /var/lock/cvs

%files pserver
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/cvs-pserver
%attr(755,root,root) %{_bindir}/cvs-pserver*
%{_mandir}/man8/cvs-pserver.8*

%files nserver
%defattr(644,root,root,755)
%doc NEWS.nserver FAQ.nserver
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/cvs-nserver
%attr(755,root,root) %{_bindir}/cvs-nserver*
%{_mandir}/man8/cvs-nserver.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvs-nserver.spec,v $
Revision 1.95.2.3  2008-03-25 23:18:36  glen
- cvs-client virtual, avoid /bin/sh dep in scriptlets; rel 23

Revision 1.95.2.2  2007-09-25 21:50:45  blues
- no krb5-devel in AC

Revision 1.95.2.1  2007/09/25 21:35:58  blues
- synced with HEAD

Revision 1.95  2007/09/12 10:10:53  blues
- rel. 22 - cvspasswd-mode patch added - "cvs passwd" is working again

Revision 1.94  2007/09/11 14:31:11  blues
- rel.21 - added CVSSERVER variable to pserver and nserver script. Without
  that it catches sig11, but required anyway

Revision 1.93  2007/09/11 14:06:26  blues
- bug noticed

Revision 1.92  2007/04/01 17:35:27  baggins
- rel 20
- fix gssapi/kerberos compilation

Revision 1.91  2007/03/31 21:20:38  baggins
- rel 19
- enable gssapi as we now have working kerberos (mit instead of heimdal)

Revision 1.90  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.89  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.88  2006/09/08 18:03:12  glen
- rel 18 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.87  2006/04/14 12:17:57  glen
- rel 17

Revision 1.86  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.85  2005/05/02 18:23:51  glen
- adapterized

Revision 1.84  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.83  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.82  2005/02/26 19:46:29  qboosh
- added dblshutdown patch (fix for double server shutdown from cvs 1.11.3)
- release 16

Revision 1.81  2005/02/20 14:05:55  qboosh
- unified id/getgid usage, removed -f from groupadd

Revision 1.80  2005/02/18 23:37:30  qboosh
- added fix for off-by-one in cat_stringbuf() to segv patch
- release 15

Revision 1.79  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.78  2004/08/25 07:05:18  ankry
- rel. 14

Revision 1.77  2004/08/17 22:45:44  ankry
- added proper BR: rpmbuild(macros)

Revision 1.76  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.75  2004/06/15 19:41:57  blues
- release 13 for AC

Revision 1.74  2004/06/11 13:23:33  arekm
- rel 12, multiple security fixes: CAN-2004-0414, CAN-2004-0416, CAN-2004-0417, CAN-2004-0418

Revision 1.73  2004/05/24 11:14:46  arekm
- rel 11; works fine (you all were testing it). SECURITY UPDATE

Revision 1.72  2004/05/23 11:24:22  qboosh
- /ets/sysconfig/cvs must be readable for pserver-script - use cvs group
- (FHS 2.3, consistency with cvs.spec) no forced directory creation in /srv,
  use /var/lib/cvs as default and /srv/cvs as example
- strict internal deps, release 10.2

Revision 1.71  2004/05/23 01:30:46  arekm
- include several security fixes. Needs testing. I hope that all CVE issues are now fixed.

Revision 1.70  2004/05/18 08:17:33  arekm
- rel 10; fix rcs2log script (posix)

Revision 1.69  2004/05/16 19:29:06  arekm
- rel 9; fix variables usage

Revision 1.68  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.67  2004/02/16 11:27:53  malekith
- typo

Revision 1.66  2004/02/04 15:40:43  averne
- /home/services -> /srv
- release 8

Revision 1.65  2003/12/18 14:06:55  blues
- added default lock directory.

Revision 1.64  2003/12/09 22:50:50  blues
- release 6 - added sysconfig file with more repositories definition (like
  in our cvs... it was made ugly by hand...)

Revision 1.63  2003/12/07 15:16:28  qboosh
- added URL

Revision 1.62  2003/10/11 05:47:37  witekfl
- added patch home-etc2 with support for $HOME_ETC
- Release 5

Revision 1.61  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.60  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.59  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.58  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.57  2003/06/08 13:59:50  areq
- s/group/groupdel/

Revision 1.56  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.55  2003/05/25 05:46:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/05/17 07:01:19  pascalek
- revert user changes

Revision 1.53  2003/05/10 09:36:28  pascalek
- Req user-cvs user-cvsadmin

Revision 1.52  2003/03/29 00:07:59  qboosh
- added zlibfix patch: fix for broken zlib-client, which used to send truncated
  data when compressed file was longer than predefined buffer (BUFSIZ bytes)
- release 4, STBR

Revision 1.51  2003/03/20 20:29:57  qboosh
- missing dirs (%{_datadir}/cvs-nserver{,/contrib})

Revision 1.50  2003/03/11 22:25:47  qboosh
- simplified names

Revision 1.49  2003/03/11 20:36:12  qboosh
- added segv patch - two lethal bugs found, one sanity check
- added initgroups-rootonly patch (use initgroups() only if getuid()==0)
  to allow running cvschkpw with non-root privileges in simple configurations
- added config(noreplace) for rc-inetd scripts
- release 3

Revision 1.48  2003/03/09 23:06:50  qboosh
- typo in patch number

Revision 1.47  2003/03/06 18:34:18  wiget
- common subpackage don't obsoletes cvs

Revision 1.46  2003/03/05 18:29:51  kloczek
- added fix_doc_CVSUSER patch which fixes enviroment variable name which cares
  cvs user name which is mapped to real system account name (s/CVS_USER/CVSUSER/)
  (was discovered during install cvs-nserver on main PLD cvs repository).

Revision 1.45  2003/03/02 13:49:56  orzech
- typo

Revision 1.44  2003/03/02 13:48:45  orzech
- Provides:       cvs = %{version} looks better

Revision 1.43  2003/03/02 13:39:11  djurban
- some packages requires cvs >= 1.10

Revision 1.42  2003/03/02 13:34:54  orzech
- standarized SF source URL
- client provides cvs

Revision 1.41  2003/02/13 14:02:03  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.40  2003/01/18 13:26:42  qboosh
- up to 1.11.1.52, updated am_ac patch, removed obsolete zlib,PAM_fix patches
- enabled SSL support (client only, server has to be tunelled)
- added ssl-link patch to link with -lssl -lcrypto only where necessary
- pserver Obsoletes: cvs-pserver

Revision 1.39  2002/12/11 15:22:33  orzech
- cvspass.patch (#494 fixed)
- home_etc.patch
- rel. 4

Revision 1.38  2002/12/07 12:19:30  orzech
- /home/cvsroot -> /home/services/cvsroot

Revision 1.37  2002/12/02 11:06:15  ankry
- massive cleaning

Revision 1.36  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.35  2002/08/17 20:59:38  qboosh
- better messages in pre, added Requires(), new %doc
- release 3

Revision 1.34  2002/07/20 13:54:28  wojrus
- rel 2
- STBR?

Revision 1.33  2002/07/20 12:06:45  wojrus
- missing Requires/Obsoletes

Revision 1.32  2002/07/20 11:47:22  wojrus
- moved common files from cvs-nserver to cvs-nserver-common
- s/cvs-npclient/cvs-nserver-client/
- s/cvs-nserver/cvs-nserver-nserver/
- s/cvs-npserver/cvs-nserver-pserver/

Revision 1.31  2002/07/20 08:54:44  wojrus
- moved rc-inetd reloading to %post

Revision 1.30  2002/07/20 08:36:29  wojrus
- creating users/groups before installing files

Revision 1.29  2002/05/21 23:12:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/05/19 09:27:43  misiek
- updated to 1.11.1.4

Revision 1.27  2002/04/25 16:08:36  arturs
- fixed a small typo

Revision 1.26  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/16 11:54:30  filon
- fixed type in files
- release 3

Revision 1.22  2001/11/29 21:32:37  filon
- added FAQ's to %doc
- fixed %files
- release 2

Revision 1.21  2001/10/11 12:21:49  qboosh
- BuildRequires: autoconf

Revision 1.20  2001/09/05 19:40:59  kloczek
- reorganized: now from spec file are poduced packages cvs-nclient,
  cvs-npserver and cvs-nserver.

Revision 1.19  2001/08/13 17:23:10  kloczek
- updated to 1.11.1.3,
- temporary added --without-gssapi for allow build without kerberos support if
  heimdal-devel package is installed (it doe's not compiles now).

Revision 1.18  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/07/23 07:21:11  blues
- cosmetics
- %{bindir}\rcs2log is back in nclient - that was only link to contrib
  (and duplicate entry)

Revision 1.15  2001/07/23 02:52:24  kloczek
- typo.

Revision 1.14  2001/07/23 02:42:47  kloczek
- spec adapterized,
- added info patch (and texinfo to BuildRequires rules),
- move rcs2log script to %{_bindir} (added to cleint subpackage),
- some %doc to clent subpackage added also.

Revision 1.13  2001/07/22 22:10:32  blues
- s/cvs-common/cvs-nclient/

Revision 1.12  2001/07/22 22:00:02  blues
- massive attack:
- separated into 4 packages
- inetd files merged (not tested)
- some cosmetics
  NOTE: tests are needed

Revision 1.11  2001/07/21 15:04:39  blues
- added %preun
- separated client package - there should be separated nserver and pserver
  package too

Revision 1.10  2001/07/21 11:19:21  blues
1.11.1.2
- added --enable-setuid - now we have cvspasswd in package
- added making users in %pre
- cvspasswd patch - add DESTDIR and removes making cvspasswd with GID and
  UID - this is spec-work (where is no such users while building)

Revision 1.9  2001/07/16 22:30:16  blues
- 1.11.1.1
- ac 2.50 compliant
- %files list updated

Revision 1.8  2001/04/09 14:05:20  baggins
- test

Revision 1.7  2001/04/09 14:04:08  baggins
- updated to 1.10.8.4

Revision 1.6  2001/02/14 20:12:23  zagrodzki
- typo

Revision 1.5  2000/09/13 22:24:10  kloczek
- added PAM_fix patch - now cvs-nserver compiles correctly but %install is
  not finished.

Revision 1.4  2000/07/28 12:15:40  serek
- added translated descriptions

Revision 1.3  2000/07/27 19:07:47  kloczek
- adapterized and partialy rewrited.
